Bug 254536 - Ports depending on requests or chardet < 4 are broken after ports r569127
Summary: Ports depending on requests or chardet < 4 are broken after ports r569127
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords: regression
: 254527 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-03-25 03:12 UTC by John R
Modified: 2021-03-26 01:14 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
Poudriere build log (20.78 KB, text/plain)
2021-03-25 03:12 UTC, John R
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John R 2021-03-25 03:12:41 UTC
Created attachment 223558 [details]
Poudriere build log

As stated in the title, py37-pip-20.2.3 build fails on py-chardet version.

Poudriere log attached.
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2021-03-25 09:56:27 UTC
Ah crap. I see the update was reverted already, sorry. Btw, since chardet is that significant, should I pass it to python@ then? @koobs ?
Comment 2 freebsd 2021-03-25 12:28:05 UTC
Same problem here; 

Additional problem: installing py37-chardet-4.0.0 also immediately renders Let's Encrypt / certbot unusable.


Poudriere:

===>  Building for py37-requests-toolbelt-0.9.1
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "setup.py", line 66, in <module>
    'Programming Language :: Python :: Implementation :: CPython',
  File "/usr/local/lib/python3.7/site-packages/setuptools/__init__.py", line 145, in setup
    return distutils.core.setup(**attrs)
  File "/usr/local/lib/python3.7/distutils/core.py", line 134, in setup
    ok = dist.parse_command_line()
  File "/usr/local/lib/python3.7/site-packages/setuptools/dist.py", line 707, in parse_command_line
    result = _Distribution.parse_command_line(self)
  File "/usr/local/lib/python3.7/distutils/dist.py", line 483, in parse_command_line
    args = self._parse_command_opts(parser, args)
  File "/usr/local/lib/python3.7/site-packages/setuptools/dist.py", line 1014, in _parse_command_opts
    nargs = _Distribution._parse_command_opts(self, parser, args)
  File "/usr/local/lib/python3.7/distutils/dist.py", line 539, in _parse_command_opts
    cmd_class = self.get_command_class(command)
  File "/usr/local/lib/python3.7/site-packages/setuptools/dist.py", line 833, in get_command_class
    ep.require(installer=self.fetch_build_egg)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2465, in require
    items = working_set.resolve(reqs, env, installer, extras=self.extras)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (chardet 4.0.0 (/usr/local/lib/python3.7/site-packages), Requirement.parse('chardet<4,>=3.0.2'), {'requests'})
*** Error code 1
Comment 3 freebsd 2021-03-25 12:28:39 UTC
# certbot                                                                                                                                                                                                                                                                                                                                       
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (chardet 4.0.0 (/usr/local/lib/python3.7/site-packages), Requirement.parse('chardet<4,>=3.0.2'), {'requests'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/certbot", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3251, in <module>
    @_call_aside
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'chardet<4,>=3.0.2' distribution was not found and is required by requests
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2021-03-25 13:13:08 UTC
(In reply to freebsd from comment #2)
it was already reverted back to 3.0.4 in r569185:
https://docs.freebsd.org/cgi/getmsg.cgi?fetch=2158317+0+current/svn-ports-all
Comment 5 commit-hook freebsd_committer 2021-03-25 13:24:02 UTC
A commit references this bug:

Author: rm
Date: Thu Mar 25 13:23:36 UTC 2021
New revision: 569200
URL: https://svnweb.freebsd.org/changeset/ports/569200

Log:
  textproc/py-chardet: pass maintainership to python

  Last update (now reverted) broke many consumers in the tree,
  so I feel it would be more responsible to pass this significant
  port under python@ wing.

  PR:		254536

Changes:
  head/textproc/py-chardet/Makefile
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2021-03-25 13:27:14 UTC
Update to 4 was reverted. Closing.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2021-03-25 23:04:09 UTC
@Ruslan Thanks!
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2021-03-25 23:33:27 UTC
*** Bug 254527 has been marked as a duplicate of this bug. ***